flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-2767) Add support Scala 2.11 to Scala shell
Date Mon, 05 Oct 2015 17:32:28 GMT

    [ https://issues.apache.org/jira/browse/FLINK-2767?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14943701#comment-14943701
] 

ASF GitHub Bot commented on FLINK-2767:
---------------------------------------

Github user chiwanpark commented on the pull request:

    https://github.com/apache/flink/pull/1197#issuecomment-145606437
  
    It occured by jline library version mismatching between Scala 2.10 and 2.11. Since Scala
2.11.5, we don't need jline dependency. Scala REPL uses its own jline library. So I upgraded
Scala minor version to 2.11.7 and moved jline to Scala 2.10 only dependencies list.


> Add support Scala 2.11 to Scala shell
> -------------------------------------
>
>                 Key: FLINK-2767
>                 URL: https://issues.apache.org/jira/browse/FLINK-2767
>             Project: Flink
>          Issue Type: Improvement
>          Components: Scala Shell
>    Affects Versions: 0.10
>            Reporter: Chiwan Park
>            Assignee: Chiwan Park
>
> Since FLINK-2200 is resolved, the Flink community provides JARs for Scala 2.11. But currently,
there is no Scala shell with Scala 2.11. If we add support Scala 2.11 to Scala shell, the
user with Scala 2.11 could use Flink easily.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message